package com.cntaiping.intserv.datasync.service;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

import org.apache.log4j.Logger;

import com.cntaiping.intserv.basic.runtime.db.DBUtil;

/**
 * 所有消息（包括广播消息和个人消息）
 * 
 * @author ZhangYongJie
 * 
 */
public class EisNoticeBean {
	private static Logger logger = Logger.getLogger(EisNoticeBean.class);
	/**
	 * 删除消息
	 * @param type 0 ：广播消息   1：个人消息
	 * @param noticeId
	 */
	public static void deleteNotice(String type, String noticeId) {
		String sql = null;
		Connection conn = null;
		PreparedStatement pst = null;
		ResultSet rs = null;

		try {
			conn = DBUtil.getConnection();
			if("0".equals(type)){//删除广播消息
				sql = "DELETE FROM EIS_NOTICE_BOARD WHERE NOTICE_ID = ?";
			} else {//删除个人消息
				sql = "DELETE FROM EIS_NOTICE_INDIVID WHERE NOTICE_ID = ?";
			}			
			pst = conn.prepareStatement(sql);
			pst.setString(1, noticeId);
			logger.info("sql=" + sql);
			pst.executeUpdate();
		} catch (Exception e) {
			logger.error("VEisNoticeBean deleteNotice(" +type+ "," + noticeId+ ") Error", e);
			throw new RuntimeException("删除消息异常");
		} finally {
			DBUtil.close(rs, pst, conn);
		}
	}
	/**
	 * 删除消息
	 * @param type 0 ：广播消息   1：个人消息
	 * @param recvUser
	 * @param noticeId
	 */
	public static void deleteNotice(String type, String noticeId,String recvUser) {
		String sql = null;
		Connection conn = null;
		PreparedStatement pst = null;
		ResultSet rs = null;

		try {
			conn = DBUtil.getConnection();
			if("0".equals(type)){//删除广播消息
				sql = "DELETE FROM EIS_NOTICE_BOARD WHERE NOTICE_ID = ?";
			} else {//删除个人消息
				sql = "DELETE FROM EIS_NOTICE_INDIVID WHERE NOTICE_ID = ? AND RECV_USER= ?";
			}			
			pst = conn.prepareStatement(sql);
			pst.setString(1, noticeId);
			if(!"0".equals(type)){
				pst.setString(2, recvUser);
			}
			logger.info("sql=" + sql);
			pst.executeUpdate();
		} catch (Exception e) {
			logger.error("VEisNoticeBean deleteNotice(" +type+ "," + noticeId+ ") Error", e);
			throw new RuntimeException("删除消息异常");
		} finally {
			DBUtil.close(rs, pst, conn);
		}
	}
}
