package com.cntaiping.intserv.enotice.bmodel;

import java.io.Serializable;
import java.util.Date;

/**
 * 广播消息
 * 
 * @author ZhangMingxue
 * @version 1.0
 * @time 2013下午02:33:46
 * @JDK 1.6
 */
public class EisNoticeBoard implements Serializable {
	private static final long serialVersionUID = 1432692089425019130L;

	private Long noticeId;
	private Long noticeCate;
	private Long noticeSource;
	private String noticeTitle;
	private String noticeContent;
	private String noticeDesc;
	private Date bgnTime;
	private Date endTime;
	private String sendUser;
	private Date sendTime;
	private Long recvOrgan;
	private Long recvBranch;
	private Long recvChannel;
	private String sendUserName;
	private String remark;
	private String userCate;
	private String userID;
	private String noticeTitleDesc;
	private String isHaveDetails;
	private String isNeedInform;//是否需要通知
	
	public String getIsNeedInform() {
		return isNeedInform;
	}

	public void setIsNeedInform(String isNeedInform) {
		this.isNeedInform = isNeedInform;
	}
	
	public String getIsHaveDetails() {
		return isHaveDetails;
	}

	public void setIsHaveDetails(String isHaveDetails) {
		this.isHaveDetails = isHaveDetails;
	}

	public String getNoticeTitleDesc() {
		return noticeTitleDesc;
	}

	public void setNoticeTitleDesc(String noticeTitleDesc) {
		this.noticeTitleDesc = noticeTitleDesc;
	}

	public String getUserID() {
		return userID;
	}

	public void setUserID(String userID) {
		this.userID = userID;
	}

	public String getUserCate() {
		return userCate;
	}

	public void setUserCate(String userCate) {
		this.userCate = userCate;
	}

	public Long getNoticeId() {
		return noticeId;
	}

	public void setNoticeId(Long noticeId) {
		this.noticeId = noticeId;
	}

	public Long getNoticeCate() {
		return noticeCate;
	}

	public void setNoticeCate(Long noticeCate) {
		this.noticeCate = noticeCate;
	}

	public Long getNoticeSource() {
		return noticeSource;
	}

	public void setNoticeSource(Long noticeSource) {
		this.noticeSource = noticeSource;
	}

	public String getNoticeTitle() {
		return noticeTitle;
	}

	public void setNoticeTitle(String noticeTitle) {
		this.noticeTitle = noticeTitle;
	}

	public String getNoticeContent() {
		return noticeContent;
	}

	public void setNoticeContent(String noticeContent) {
		this.noticeContent = noticeContent;
	}

	public String getNoticeDesc() {
		return noticeDesc;
	}

	public void setNoticeDesc(String noticeDesc) {
		this.noticeDesc = noticeDesc;
	}

	public Date getBgnTime() {
		return bgnTime;
	}

	public void setBgnTime(Date bgnTime) {
		this.bgnTime = bgnTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public String getSendUser() {
		return sendUser;
	}

	public void setSendUser(String sendUser) {
		this.sendUser = sendUser;
	}

	public Date getSendTime() {
		return sendTime;
	}

	@Deprecated
	public void setSendTime(Date sendTime) {
		this.sendTime = sendTime;
	}

	public Long getRecvOrgan() {
		return recvOrgan;
	}

	public void setRecvOrgan(Long recvOrgan) {
		this.recvOrgan = recvOrgan;
	}

	public Long getRecvBranch() {
		return recvBranch;
	}

	public void setRecvBranch(Long recvBranch) {
		this.recvBranch = recvBranch;
	}

	public Long getRecvChannel() {
		return recvChannel;
	}

	public void setRecvChannel(Long recvChannel) {
		this.recvChannel = recvChannel;
	}

	public String getSendUserName() {
		return sendUserName;
	}

	public void setSendUserName(String sendUserName) {
		this.sendUserName = sendUserName;
	}
	
	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String toJSON() {
		StringBuffer jsonBuffer = new StringBuffer("{");

		// 广播消息ID
		jsonBuffer.append("\"" + "NOTICE_ID" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeId()) {
			jsonBuffer.append("\"" + this.getNoticeId() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息类别
		jsonBuffer.append("\"" + "NOTICE_CATE" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeCate()) {
			jsonBuffer.append("\"" + this.getNoticeCate() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息来源
		jsonBuffer.append("\"" + "NOTICE_SOURCE" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeSource()) {
			jsonBuffer.append("\"" + this.getNoticeSource() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息主题
		jsonBuffer.append("\"" + "NOTICE_TITLE" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeTitle()) {
			jsonBuffer.append("\"" + this.getNoticeTitle() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息内容
		jsonBuffer.append("\"" + "NOTICE_CONTENT" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeContent()) {
			jsonBuffer.append("\"" + this.getNoticeContent() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 消息说明
		jsonBuffer.append("\"" + "NOTICE_DESC" + "\"");
		jsonBuffer.append(":");
		if (null != getNoticeDesc()) {
			jsonBuffer.append("\"" + this.getNoticeDesc() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 广播开始时间
		jsonBuffer.append("\"" + "BGN_TIME" + "\"");
		jsonBuffer.append(":");
		if (null != getBgnTime()) {
			jsonBuffer.append("\"" + this.getBgnTime().getTime() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");

		}
		jsonBuffer.append(",");

		// 广播结束时间
		jsonBuffer.append("\"" + "END_TIME" + "\"");
		jsonBuffer.append(":");
		if (null != getEndTime()) {
			jsonBuffer.append("\"" + this.getEndTime().getTime() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 发送人员
		jsonBuffer.append("\"" + "SEND_USER" + "\"");
		jsonBuffer.append(":");
		if (null != getSendUser()) {
			jsonBuffer.append("\"" + this.getSendUser() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 发送时间
		jsonBuffer.append("\"" + "SEND_TIME" + "\"");
		jsonBuffer.append(":");
		if (null != getSendTime()) {
			jsonBuffer.append("\"" + this.getSendTime().getTime() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 接收机构
		jsonBuffer.append("\"" + "RECV_ORGAN" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvOrgan()) {
			jsonBuffer.append("\"" + this.getRecvOrgan() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 接收下属机构
		jsonBuffer.append("\"" + "RECV_BRANCH" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvBranch()) {
			jsonBuffer.append("\"" + this.getRecvBranch() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");

		// 接收渠道
		jsonBuffer.append("\"" + "RECV_CHANNEL" + "\"");
		jsonBuffer.append(":");
		if (null != getRecvChannel()) {
			jsonBuffer.append("\"" + this.getRecvChannel() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		// 发送人姓名
		jsonBuffer.append("\"" + "SEND_USER_NAME" + "\"");
		jsonBuffer.append(":");
		if (null != getSendUserName()) {
			jsonBuffer.append("\"" + this.getSendUserName() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append(",");
		
		// 备注
		jsonBuffer.append("\"" + "REMARK" + "\"");
		jsonBuffer.append(":");
		if (null != getRemark()) {
			jsonBuffer.append("\"" + this.getRemark() + "\"");
		} else {
			jsonBuffer.append("\"" + "" + "\"");
		}
		jsonBuffer.append("}");
		return jsonBuffer.toString();
	}
}
